# ORCA NO2 doublet unrestricted DFT (BLYP) single point energy

from chemsh       import *
from chemsh.utils import testutils

no2 = Fragment(coords="no2.cjson")

# default functional is 'blyp'
# default: convergence='tightscf'
orca = ORCA(frag=no2, method="dft", basis="3-21g", scftype="uhf", mult=2)

sp = SP(theory=orca, gradients=True)
sp.run()

ecalc = sp.result.energy

# Tcl-ChemShell 3.7.1/ORCA 4.2.1 result
# convergence=normalscf from Tcl-ChemShell
#eref = -203.894138309891
# convergence=tightscf
#eref = -203.894138336459
# ORCA 5.0.3 
eref = -203.89411559

testutils.validate(ecalc, eref)
